PETSc version 3.15.5
Fix/Edit manual page

# PetscEventPerfLogDeactivatePush

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogDeactivatePush(PetscEventPerfLog eventLog,PetscLogEvent event)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event

### Usage

          PetscEventPerfLogDeactivatePush(log, VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscEventPerfLogDeactivatePop(log, VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscEventRegLogRegister().

### See Also

PetscEventPerfLogDeactivate(), PetscEventPerfLogActivate(), PetscEventPerfLogDeactivatePop()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages